# GNUmakefile          Section: 3.7
# Threshold Selection by Maximizing Between Class Variance
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES = IA_  ___ls  _normalized_histogram
CLOSUREOBJS       = closure-otsu.o otsu.o

HEADERS = otsu.h  otsu-image.h
LOBJS   = otsu-image.o

SOURCES	= otsu.h otsu.c  otsu-image.h otsu-image.c  test-otsu.c \
	  closure-otsu.c
TESTS	= test-otsu

ARL =

EXTRAINCLUDES =
CPPFLAGS      =
OTHERLIBS     =
OUTPUT_OPTION =

TARGET_ARCH =
XTRAFLAGS   =
XTRACCFLAGS =

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include	../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

otsu.srcs:	otsu.h  otsu.c

otsu-image.o:	otsu-image.h otsu-image.c

closure-otsu.o:	closure-otsu.c  otsu.srcs  otsu-image.o

ifeq (${LIBTEST},)
test-otsu.o:	test-otsu.c  otsu-image.o  otsu.srcs

test-otsu:	test-otsu.o
	${LINK.cc} -o $@ $@.o otsu-image.o ${LDLIBS}
	strip $@

else
test-otsu.o:	test-otsu.c

endif
